hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "stack (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (HBASE-10690) Drop Hadoop-1 support
Date Wed, 19 Mar 2014 23:15:55 GMT

     [ https://issues.apache.org/jira/browse/HBASE-10690?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

stack resolved HBASE-10690.
---------------------------

      Resolution: Fixed
        Assignee: stack
    Release Note: Trunk no longer has support for hadoop1.  You cannot build against hadoop1.
 We now generate one artifact only and our artifact naming no longer includes the hadoop version
we were built against since we only build against one version, hadoop2: e.g. the hbase 1.0.0
release will be named hbase-1.0.0, not hbase-1.0.0-hadoop1 (or hbase-1.0.0-hadoop2).
    Hadoop Flags: Incompatible change

Resolving this umbrella issue.  All sub tasks are done.  Documentation is in the refguide,
the assembly does not include hadoop1, and the build is straight-forward w/ no need to make
a hadoop1 or hadoop2 artifact -- it is all hadoop2 all the time from here on out -- and doc'd
in the refguide.

> Drop Hadoop-1 support
> ---------------------
>
>                 Key: HBASE-10690
>                 URL: https://issues.apache.org/jira/browse/HBASE-10690
>             Project: HBase
>          Issue Type: Improvement
>            Reporter: Enis Soztutar
>            Assignee: stack
>            Priority: Critical
>             Fix For: 0.99.0
>
>
> As per thread:
> http://mail-archives.apache.org/mod_mbox/hbase-dev/201403.mbox/%3CCAMUu0w93MGp7ZBbxGccOV+be3EtMkvn5ATZOwvzQD_gegdK4NQ@mail.gmail.com%3E
> It seems that the consensus is that supporting Hadoop-1 in HBase-1.x will be costly,
so we should drop the support. 
> In this issue: 
>  - We'll document that Hadoop-1 support is deprecated in HBase-0.98. And users should
switch to hadoop-2.2+ anyway. 
>  - Document that upcoming HBase-0.99 and HBase-1.0 releases will not have Hadoop-1 support.

>  - Document that there is no rolling upgrade support for going between Hadoop-1 and Hadoop-2
(using HBase-0.96 or 0.98).
>  - Release artifacts won't contain HBase build with Hadoop-1. 
>  - We may keep the profile, jenkins job etc if we want.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message